Get Collection Endpoint
GET
/catalog/collections/{collection_id}
const url = 'https://example.com/api/catalog/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/catalog/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Get a single collection with dataset_count and extent.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” collection_id
required
Collection Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
CollectionResponse
object
id
required
Id
string format: uuid
name
required
Name
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
dataset_count
required
Dataset Count
integer
extent_bbox
Any of:
Array<number>
null
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "created_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z", "dataset_count": 1, "extent_bbox": [ 1 ], "temporal_start": "2026-04-15", "temporal_end": "2026-04-15"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}